LSCPU(1)

NAZWA
lscpu - wyświetla informacje o architekturze procesora

SKŁADNIA
lscpu [-a|-b|-c] [-x] [-s katalog] [-e[=lista]|-p[=lista]]
lscpu -h|-V

OPIS
lscpu zbiera informacji o architekturze procesora z sysfs, /proc/cpuinfo i wszystkich dostępnych bibliotek w zależności od architektury (np. librtas na Powerpc). Wynik polecenie można zoptymalizować do przetwarzania lub tak, aby był czytelny dla ludzi. Informacje obejmują np. liczbę procesorów, wątków, rdzeni, gniazd i węzłów Non-Uniform Memory Access (NUMA). Są również informacje o buforach procesorów i ich dzieleniu, rodzinie, modelu, bogoMIPS, kolejności bajtów i wersji.

W środowiskach zwirtualizowanych, wyświetlane informacje o architekturze procesora odpowiadają konfiguracji systemu operacyjnego gościa, która z reguły różni się od tej na fizycznym komputerze gospodarzu. Na architekturach obsługujących pozyskiwanie informacji o topologii fizycznej, lscpu wyświetla również liczbę fizycznych gniazd, czipów i rdzeni w systemie gospodarzu.

Opcje które skutkują wyświetleniem tabeli przyjmują argument lista. Argument ten służy do dostosowania wyniku. Można podać listę etykiet kolumn oddzieloną przecinkami aby ograniczyć wyniki w tabeli tylko do podanych kolumn, w określonej kolejności. Prawidłowe etykiety podano w rozdziale KOLUMNY. Wielkość liter w nazwach etykiet nie ma znaczenia.

Nie wszystkie kolumny są obsługiwane na wszystkich architekturach. Jeśli poda się nieobsługiwaną kolumnę, lscpu wypisze kolumnę, ale nie wyświetli dla niej żadnych danych.

  KOLUMNY
Proszę zauważyć, że elementy topologiczne (rdzenie, gniazda itp.) używają unikalnych, kolejnych identyfikatorów poczynając od zera, natomiast numery procesorów logicznych są zależne od jądra i nie ma pewności, że będą kolejno numerowane.

CPU Logiczny numer procesora taki, jak używany przez jądro Linux.

CORE
    Logiczny numer rdzenia. Rdzeń może zawierać wiele (logicznych) procesorów.

SOCKET
    Logiczny numer gniazda. Gniazdo może zawierać wiele rdzeni.

BOOK
    Logiczny numer księgi. Księgi mogą zawierać wiele gniazd.

NODE
    Logiczny numer węzła NUMA. Węzeł może zawierać wiele ksiąg.

CACHE
    Informacja o tym jak bufory są dzielone pomiędzy procesorami.

ADDRESS
    Fizyczny adres procesora.

ONLINE
    Wskaźnik pokazujący czy Linux wykorzystuje obecnie dany procesor.

CONFIGURED
    Wskaźnik pokazujący, czy nadzorca przydzielił procesor sprzętowi wirtualnemu, na którym działa dany system Linux. Tak skonfigurowane procesory mogą być aktywowane przez system Linux. Kolumna zawiera dane tylko jeśli posiadany sprzęt i nadzorca obsługują dynamiczne przydzielanie zasobów procesora.

POLARIZATION
    Ta kolumna zawiera dane w przypadku systemów Linux działających na sprzęcie wirtualnym z nadzorcą, który może przełączać tryb podziału obciążenia procesorów (polaryzację). Polaryzacja może być:

    horizontal
        Obciążenie jest dzielone między wszystkie dostępne procesory.

    vertical
        Obciążenie koncentruje się na kilku procesorach.

    W przypadku polaryzacji vertical kolumna pokazuje również stopień koncentracji: wysoki (high), średni (medium) lub niski (low). Kolumna zawiera dane tylko jeśli posiadany sprzęt i nadzorca obsługują polaryzację procesorów.

    MMHZ
        Maksymalna wartość megaherców dla procesora. Przydatny, gdy lscpu jest wykorzystywany jako narzędzie do zbierania informacji o sprzęcie. Proszę zauważyć, że wartość megaherców jest dynamiczna i zależy od zarządcy procesora i obecnego zapotrzebowania na zasoby.

OPCJE

-a, --all
    włącza wiersze dla aktywnych i nieaktywnych procesorów w wyniku (domyślne dla -e). Opcję można podać tylko razem z opcją -e lub -p.

-b, --online
    Ogranicza wynik do aktywnych procesorów (domyślne dla -p). Tę opcję można podać tylko razem z opcją -e lub -p.

-c, --offline
    Ogranicza wynik do nieaktywnych procesorów. Tę opcję można podać tylko razem z opcją -e lub -p.

-e, --extended[=lista]
    Wyświetla informacje o procesorze w postaci czytelnej dla człowieka.

    Jeśli nie poda się listy argumentów, w wyniku ujęte są wszystkie kolumny dla których dostępne są dane.

    Przy podawaniu listy argumentów, łańcuch składający się z opcji, znaku równości (=) i listy nie może zawierać żadnych białych znaków. Przykłady: "-e=cpu,node" lub "--extended=cpu,node".

-h, --help
    Wyświetla pomoc i wychodzi.

-p, --parse[=lista]
    Optymalizuje wynik polecenie w celu łatwego przetwarzania.

    Jeśli nie poda się listy argumentów, to wyświetlana jest postać kompatybilna z wcześniejszymi wersjami lscpu. Format ten używa dwóch przecinków do oddzielenia kolumn pamięci podręcznych procesora. Jeśli nie zostaną one zidentyfikowane, to kolumny pamięci podręcznych w ogóle nie są wyświetlane.
    Jeśli poda się listę argumentów, kolumny pamięci podręcznych są oddzielone dwukropkiem (:).

    Przy podawaniu listy argumentów, łańcuch składający się z opcji, znaku równości (=) i listy nie może zawierać żadnych białych znaków. Przykłady: "-p=cpu,node" lub "--parse=cpu,node".

-s, --sysroot katalog
    Zbiera informacje o procesorze dla innego systemu Linux niż ten, z którego uruchomiono lscpu. Podany katalog jest głównym katalogiem kopii Linuksa do sprawdzenia.

-x, --hex
    Używa masek szesnastkowych do zestawów CPU (np. 0x3). Domyślnie, zestawy są wypisywane w postaci listy (np. 0,1).

-V, --version
    Wypisuje informację o wersji programu i wychodzi.

BŁĘDY
Ogólne informacje o rodzinie, modelu itp. procesora są dostępne zawsze jedynie dla pierwszego procesora.

Niekiedy w Xen Dom0 jądro zwraca nieprawidłowe dane.

Na wirtualnym sprzęcie liczba rdzeni na gniazdo itp. może być nieprawidłowa.

AUTOR
Cai Qian <qcai@redhat.com>
Karel Zak <kzak@redhat.com>
Heiko Carstens <heiko.carstens@de.ibm.com>

ZOBACZ TAKŻE
chcpu(8)

DOSTĘPNOŚĆ
Polecenie lscpu jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.28 oryginału.